1. Payouts
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Payouts

Reject Order By OriginatorConversationId

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/payment-order/reject-order
This request is used to reject an order already posted using a specified originatorConversationId
NOTE: This can only be done for transactions in Pending or Queued state (refer to the Transaction Status Types table). For bulk transactions, we can only reject the ones that fit the given criteria.

Sample response#

originatorConversationId This a unique identifier of the request from the client
transactionStatus: This is the value representing the state of the transaction (refer to the Transaction Status Types table)
transactionDescription: This describes the transactionStatus value.
resultCode: It is the code representing the result of the reject process.
resultCodeDescription: It describes the resultCode value
{
    "paymentOrderlines": [
        {
            "originatorConversationId": "W765131ei224242t40093334xxiuigggtey",
            "transactionStatus": 7,
            "transactionStatusDescription": "Rejected",
            "resultCode": "1",
            "resultCodeDescription": "Transaction cannot be rejected on current status"
        }
    ]
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/v1/payment-order/reject-order?OriginatorConversationId=undefined'
Response Response Example
{
    "paymentOrderlines": [
        {
            "originatorConversationId": "4f9646c1-b493-4dd2-aea7-940f20c963b9",
            "transactionStatus": 7,
            "transactionStatusDescription": "Rejected",
            "resultCode": "0",
            "resultCodeDescription": "Success"
        }
    ]
}
Modified at 2026-04-15 13:16:57
Previous
Find Payment Order By OriginatorConversationId
Next
Overview
Built with